# Get

Launch stage: GA

`GET /api/2.0/postgres/{name=projects/*/branches/*}`

Retrieves information about the specified database branch.

API scopes: postgres

## Path parameters

- `name` (string, optional)
  The full resource path of the branch to retrieve.
   Format: projects/{project_id}/branches/{branch_id}

## Returns

Returns the Branch object.

## Response

```json
{
  "name": "string",
  "uid": "string",
  "parent": "string",
  "create_time": "string",
  "update_time": "string",
  "spec": {
    "source_branch": "string",
    "source_branch_lsn": "string",
    "source_branch_time": "string",
    "is_protected": true,
    "expire_time": "string",
    "ttl": "string",
    "no_expiry": true
  },
  "status": {
    "source_branch": "string",
    "source_branch_lsn": "string",
    "source_branch_time": "string",
    "default": true,
    "is_protected": true,
    "current_state": "string",
    "pending_state": "string",
    "state_change_time": "string",
    "logical_size_bytes": 0,
    "expire_time": "string",
    "branch_id": "string"
  },
  "branch_id": "string"
}
```

